# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapNodeOfDataMapOfIntegerTwoColors Class Reference

`#include <MeshVS_DataMapNodeOfDataMapOfIntegerTwoColors.hxx>`

## Public Member Functions

| MeshVS_DataMapNodeOfDataMapOfIntegerTwoColors (const Standard_Integer &K, const MeshVS_TwoColors &I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
MeshVS_TwoColors & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
MeshVS_TwoColors | myValue

## Constructor & Destructor Documentation

MeshVS_DataMapNodeOfDataMapOfIntegerTwoColors::MeshVS_DataMapNodeOfDataMapOfIntegerTwoColors | ( | const Standard_Integer & | K,
|  | const MeshVS_TwoColors & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MeshVS_DataMapNodeOfDataMapOfIntegerTwoColors::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& MeshVS_DataMapNodeOfDataMapOfIntegerTwoColors::Key | ( |  | ) | const

MeshVS_TwoColors& MeshVS_DataMapNodeOfDataMapOfIntegerTwoColors::Value | ( |  | ) | const

## Field Documentation

Standard_Integer MeshVS_DataMapNodeOfDataMapOfIntegerTwoColors::myKey `[private]`

MeshVS_TwoColors MeshVS_DataMapNodeOfDataMapOfIntegerTwoColors::myValue `[private]`

The documentation for this class was generated from the following file:

- MeshVS_DataMapNodeOfDataMapOfIntegerTwoColors.hxx